curl --request GET \
--url https://app.base44.com/api/v1/monitoring/{workspace_id}/users/{user_id}/apps \
--header 'api_key: <api-key>'import requests
url = "https://app.base44.com/api/v1/monitoring/{workspace_id}/users/{user_id}/apps"
headers = {"api_key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_key: '<api-key>'}};
fetch('https://app.base44.com/api/v1/monitoring/{workspace_id}/users/{user_id}/apps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"app_ids": [
"<string>"
],
"pagination": {
"total": 156,
"limit": 50,
"has_more": true,
"next_cursor": "eyJsYXN0X2lkIjoiMTIzIn0="
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}List user apps
Returns a list of app IDs for apps created by the specified user.
Get user_id values from List users.
You can use the returned app_id values to call Get app analytics for detailed app information.
Optional filters and sorts mirror the workspace-wide List app metrics endpoint while preserving the compact app_ids response.
Results are paginated. Check has_more in the response and use the returned cursor to fetch additional pages.
Authorizations
API key for authentication. See the Authentication page for your API for details on how to get your key.
Query Parameters
Items per page. Max 50.
1 <= x <= 50Pagination cursor from previous response.
Start date in YYYY-MM-DD format for credit-consuming sort fields. Required if to is provided. Defaults to billing period start.
End date in YYYY-MM-DD format for credit-consuming sort fields. Required if from is provided. Defaults to current date.
Sort field. Prefix with - for descending. Supported fields: "app_name", "created_at", "created_by_email", "owner_user_id", "last_published", "is_published", "views_last_30d", "active_users_last_30d", "message_credits_consumed", "integration_credits_consumed", "total_credits_consumed".
Case-insensitive search over app name and creator email.
100Filter to published (true) or unpublished (false) apps.
Filter by app visibility. Accepts "private", "workspace", "public_with_login", "public_without_login", or "public".
Filter to apps with (true) or without (false) views in the last 30 days.
Was this page helpful?